Subject: Clarification about Dr. Twisted
From: [email-masked] (Dana Jackson)
Date: 13 Aug 1994 04:54:29 -0000
Newsgroups: alt.sustainable.agriculture

Dr. Twisted Visits a Farm is a humorous little book of essays, stories 
and interviews that satirizes the way many agricultural scientists view 
farmers, rural life, scientific objectivity, technology, and the future 
possibilities for agriculture.  "Dr. Twisted is the scientist who puts 
the "fun" in that dysfunctional college of agriculture near you."
      The book has a foreword by Gene Logsdon. 

Order from:  Kamyar Enshayan
             P.O. Box 981
             Cedar Falls, Iowa 50613            $8.00 (includes postage)

[email-masked]